#!/usr/bin/env python3
# -*- coding: utf8 -*-

from connectdb import login
from queries import qrySqlite


def formatrows():
    con, cur = login('piesi.db')
    qry = qrySqlite.qryparameters

    cur.execute(qry, ('2013-01-01', '2013-10-31'))
    
    rows =  cur.fetchall() #cur.execute(qry)

    desc = []
    for item in cur.description:
        desc.append(item[0])
    
    for row in rows:
        for name, value in zip(desc,row):
            print("{0:<15}: {1}".format(name, value))
        print("="*50)

    con.close()
    
    
if __name__ == "__main__":
    formatrows()


